Forum OpenACS Development: Re: five months of using naviserver on openacs.org

Collapse
Posted by Gustaf Neumann on
At least part of the problem was running openacs.org with OpenACS 5.6 and pg 8.4 for a short time. Since PostgreSQL 8.3 reached EOL in Feb 2013, we did the upgrade to 8.4 in July, hoping that the site is small enough and the machine is fast enough not to face the well known problem with the query optimizer changes in pg 8.4 (see e.g. http://openacs.org/forums/message-view?message_id=3804765). This bad performance was the final driver to push towards OpenACS 5.8.0 addressing these problems.